Gunakan CometAPI dengan API Runway Control a character untuk memulai tugas performa karakter dari video referensi, menggerakkan ekspresi wajah dan gerakan tubuh.
curl --request POST \
--url https://api.cometapi.com/runwayml/v1/character_performance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Runway-Version: <x-runway-version>' \
--data '
{
"character": {
"type": "video",
"uri": "https://filesystem.site/cdn/20250818/wAKbHUoj5EHyqZvEdJbFXn10wXBMUn.mp4"
},
"reference": {
"type": "video",
"uri": "https://filesystem.site/cdn/20250818/wAKbHUoj5EHyqZvEdJbFXn10wXBMUn.mp4"
},
"bodyControl": true,
"expressionIntensity": 3,
"seed": 4294967295,
"model": "act_two",
"ratio": "1280:720",
"contentModeration": {
"publicFigureThreshold": "auto"
}
}
'{
"id": "<string>"
}X-Runway-Version yang wajib, misalnya 2024-11-06model: act_twocharacter dan satu aset reference sebagai URL HTTPS yang dapat diaksesbodyControl: true dan expressionIntensity yang moderat sebelum menyesuaikan styleKirim permintaan character-performance
Simpan task id yang dikembalikan
id yang dikembalikan, karena Anda akan membutuhkannya untuk polling nanti.Poll status tugas
character adalah subjek yang ingin Anda animasikanreference adalah klip sumber yang menyediakan performa wajah atau gerakan tubuhbodyControl menentukan apakah transfer gerakan mencakup gerakan tubuh selain transfer ekspresicontentModeration menerapkan ambang moderasi provider pada permintaanBearer token authentication. Use your CometAPI key.
Runway version header, for example 2024-11-06.
The character to control. You can either provide a video or an image.
Show child attributes
Reference performance clip. Provide type (video) and uri (HTTPS URL).
Show child attributes
Enable body control.
Intensity of the expression transfer. Higher values produce more exaggerated expressions.
Random seed for reproducible results.
The model variant to use. Must be act_two.
Aspect ratio of the output video, e.g. 1280:720.
Show child attributes
Task accepted.
curl --request POST \
--url https://api.cometapi.com/runwayml/v1/character_performance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Runway-Version: <x-runway-version>' \
--data '
{
"character": {
"type": "video",
"uri": "https://filesystem.site/cdn/20250818/wAKbHUoj5EHyqZvEdJbFXn10wXBMUn.mp4"
},
"reference": {
"type": "video",
"uri": "https://filesystem.site/cdn/20250818/wAKbHUoj5EHyqZvEdJbFXn10wXBMUn.mp4"
},
"bodyControl": true,
"expressionIntensity": 3,
"seed": 4294967295,
"model": "act_two",
"ratio": "1280:720",
"contentModeration": {
"publicFigureThreshold": "auto"
}
}
'{
"id": "<string>"
}